Changeset 70603


Ignore:
Timestamp:
Aug 15, 2010, 2:48:23 AM (9 years ago)
Author:
ryandesign@…
Message:

MacBiff:

  • update to 1.1.15
  • switch to sourceforge homepage and master_sites
  • reenable universal variant which seems to build
  • remove growl variant since growl framework seems to be built-in
  • now requires Leopard or newer
Location:
trunk/dports/aqua/MacBiff
Files:
1 deleted
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/aqua/MacBiff/Portfile

    r70602 r70603  
    55
    66name                    MacBiff
    7 version                 1.1.11
    8 revision                1
     7version                 1.1.15
    98categories              aqua net
    109maintainers             nomaintainer
    11 description             IMAP Email checker
     10license                 GPL-2+
    1211
    13 long_description        MacBiff is a GPL'd Mac OS X 10.3 (and greater) "Biff" \
    14                         Program. It periodically checks your IMAP server for \
    15                         new email, and reports where in your folder hierarchy \
    16                         your new mail resides.
     12description             IMAP email checker
    1713
    18 homepage                http://www.forkit.org/macbiff/
    19 master_sites            ${homepage}archive/
    20 use_bzip2               yes
     14long_description        ${name} periodically checks your IMAP server for new \
     15                        email and tells you where in your folder hierarchy it \
     16                        resides.
     17
     18homepage                http://macbiff.sourceforge.net/
     19master_sites            sourceforge:macbiff
    2120distname                macbiff-${version}
    22 worksrcdir              ${name}
    2321
    24 patchfiles              patch-main.m
     22checksums               md5     4040140e2a6cc8a2a931f7a06fe7bb3a \
     23                        sha1    9f2ffc99ca1d2d0ea89ff2703cac56af2dab61ab \
     24                        rmd160  e4369707ced0605c170f2841960ea497ed169e1d
    2525
    26 checksums               md5     2bea0866c2d6fe05e8204cfb2e2f916d \
    27                         sha1    63efebd8a5763f29abfc4c021ebc64cc7ee984c1 \
    28                         rmd160  f40a9f27dd1f395d6c53ae160c63b01ecb6a2a8d
     26extract.mkdir           yes
    2927
    30 universal_variant       no
    31 
    32 variant growl description {Add Growl support} {
    33         depends_lib-append      port:Growl
    34         xcode.build.settings    OTHER_CFLAGS=-DUSE_GROWL
    35         reinplace "s|AppBridge||" ${worksrcpath}/${name}.m
     28pre-fetch {
     29    if {${os.major} < 9} {
     30        ui_error "${name} ${version} requires Mac OS X 10.5 or greater."
     31        return -code error "incompatible Mac OS X version"
     32    }
    3633}
    3734
Note: See TracChangeset for help on using the changeset viewer.